Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 183446 - kde-base/libkonq-3.5.7 emerge failed with xeffects overlay
Summary: kde-base/libkonq-3.5.7 emerge failed with xeffects overlay
Status: VERIFIED INVALID
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] KDE (show other bugs)
Hardware: AMD64 Linux
: High normal (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-06-27 19:16 UTC by Austin McKinley
Modified: 2007-07-04 19:41 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Austin McKinley 2007-06-27 19:16:03 UTC
failure message below:

/bin/sh ../libtool --silent --tag=CXX --mode=compile x86_64-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/kde/3.5/include/arts -I/usr/kde/3.5/include -I/usr/qt/3/include -I.   -DQT_THREAD_SUPPORT  -D_REENTRANT  -Wno-long-long -Wundef -ansi -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align -Wchar-subscripts -Wall -W -Wpointer-arith -DNDEBUG -DNO_DEBUG -O2 -march=nocona -O2 -pipe -Wformat-security -Wmissing-format-attribute -Wno-non-virtual-dtor -fno-exceptions -fno-check-new -fno-common -DQT_CLEAN_NAMESPACE -DQT_NO_ASCII_CAST -DQT_NO_STL -DQT_NO_COMPAT -DQT_NO_TRANSLATION  -c -o konq_xmlguiclient.lo konq_xmlguiclient.cc
/bin/sh ../libtool --silent --tag=CXX --mode=compile x86_64-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/kde/3.5/include/arts -I/usr/kde/3.5/include -I/usr/qt/3/include -I.   -DQT_THREAD_SUPPORT  -D_REENTRANT  -Wno-long-long -Wundef -ansi -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align -Wchar-subscripts -Wall -W -Wpointer-arith -DNDEBUG -DNO_DEBUG -O2 -march=nocona -O2 -pipe -Wformat-security -Wmissing-format-attribute -Wno-non-virtual-dtor -fno-exceptions -fno-check-new -fno-common -DQT_CLEAN_NAMESPACE -DQT_NO_ASCII_CAST -DQT_NO_STL -DQT_NO_COMPAT -DQT_NO_TRANSLATION  -c -o kfileivi.lo kfileivi.cc
/usr/qt/3/bin/moc ./konq_iconviewwidget.h -o konq_iconviewwidget.moc
/bin/sh ../libtool --silent --tag=CXX --mode=compile x86_64-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/kde/3.5/include/arts -I/usr/kde/3.5/include -I/usr/qt/3/include -I.   -DQT_THREAD_SUPPORT  -D_REENTRANT  -Wno-long-long -Wundef -ansi -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align -Wchar-subscripts -Wall -W -Wpointer-arith -DNDEBUG -DNO_DEBUG -O2 -march=nocona -O2 -pipe -Wformat-security -Wmissing-format-attribute -Wno-non-virtual-dtor -fno-exceptions -fno-check-new -fno-common -DQT_CLEAN_NAMESPACE -DQT_NO_ASCII_CAST -DQT_NO_STL -DQT_NO_COMPAT -DQT_NO_TRANSLATION  -c -o konq_settings.lo konq_settings.cc
konq_sound.cc:19:29: error: kartsdispatcher.h: No such file or directory
konq_sound.cc:21:32: error: kplayobjectfactory.h: No such file or directory
/usr/qt/3/bin/moc ./konq_drag.h -o konq_drag.moc
/usr/qt/3/bin/moc ./konq_operations.h -o konq_operations.moc
/usr/qt/3/bin/moc ./konq_dirpart.h -o konq_dirpart.moc
/bin/sh ../libtool --silent --tag=CXX --mode=compile x86_64-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/kde/3.5/include/arts -I/usr/kde/3.5/include -I/usr/qt/3/include -I.   -DQT_THREAD_SUPPORT  -D_REENTRANT  -Wno-long-long -Wundef -ansi -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align -Wchar-subscripts -Wall -W -Wpointer-arith -DNDEBUG -DNO_DEBUG -O2 -march=nocona -O2 -pipe -Wformat-security -Wmissing-format-attribute -Wno-non-virtual-dtor -fno-exceptions -fno-check-new -fno-common -DQT_CLEAN_NAMESPACE -DQT_NO_ASCII_CAST -DQT_NO_STL -DQT_NO_COMPAT -DQT_NO_TRANSLATION  -c -o konq_propsview.lo konq_propsview.cc
/bin/sh ../libtool --silent --tag=CXX --mode=compile x86_64-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/kde/3.5/include/arts -I/usr/kde/3.5/include -I/usr/qt/3/include -I.   -DQT_THREAD_SUPPORT  -D_REENTRANT  -Wno-long-long -Wundef -ansi -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align -Wchar-subscripts -Wall -W -Wpointer-arith -DNDEBUG -DNO_DEBUG -O2 -march=nocona -O2 -pipe -Wformat-security -Wmissing-format-attribute -Wno-non-virtual-dtor -fno-exceptions -fno-check-new -fno-common -DQT_CLEAN_NAMESPACE -DQT_NO_ASCII_CAST -DQT_NO_STL -DQT_NO_COMPAT -DQT_NO_TRANSLATION  -c -o konq_events.lo konq_events.cc
konq_sound.cc:42: error: 'KArtsDispatcher' does not name a type
konq_sound.cc:44: error: 'KDE' has not been declared
konq_sound.cc:44: error: ISO C++ forbids declaration of 'PlayObjectFactory' with no type
konq_sound.cc:44: error: expected ';' before '*' token
konq_sound.cc:45: error: 'KDE' has not been declared
konq_sound.cc:45: error: ISO C++ forbids declaration of 'PlayObject' with no type
konq_sound.cc:45: error: expected ';' before '*' token
konq_sound.cc: In constructor 'KonqSoundPlayerImpl::KonqSoundPlayerImpl()':
konq_sound.cc:49: error: class 'KonqSoundPlayerImpl' does not have any field named 'm_player'
konq_sound.cc:52: error: 'm_factory' was not declared in this scope
konq_sound.cc:52: error: expected type-specifier before 'KDE'
konq_sound.cc:52: error: expected `;' before 'KDE'
konq_sound.cc: In destructor 'virtual KonqSoundPlayerImpl::~KonqSoundPlayerImpl()':
konq_sound.cc:57: error: 'm_player' was not declared in this scope
konq_sound.cc:58: error: 'm_factory' was not declared in this scope
konq_sound.cc: In member function 'virtual void KonqSoundPlayerImpl::play(const QString&)':
konq_sound.cc:88: error: 'm_player' was not declared in this scope
konq_sound.cc:89: error: 'm_factory' was not declared in this scope
konq_sound.cc: In member function 'virtual void KonqSoundPlayerImpl::stop()':
konq_sound.cc:100: error: 'm_player' was not declared in this scope
konq_sound.cc: In member function 'virtual bool KonqSoundPlayerImpl::isPlaying()':
konq_sound.cc:106: error: 'm_player' was not declared in this scope
make[3]: *** [konq_sound.lo] Error 1
make[3]: *** Waiting for unfinished jobs....
make[3]: Leaving directory `/var/tmp/portage/kde-base/libkonq-3.5.7/work/libkonq-3.5.7/libkonq'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/var/tmp/portage/kde-base/libkonq-3.5.7/work/libkonq-3.5.7/libkonq'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/kde-base/libkonq-3.5.7/work/libkonq-3.5.7'
make: *** [all] Error 2

!!! ERROR: kde-base/libkonq-3.5.7 failed.
Call stack:
  ebuild.sh, line 1637:   Called dyn_compile
  ebuild.sh, line 983:   Called qa_call 'src_compile'
  ebuild.sh, line 44:   Called src_compile
  ebuild.sh, line 1322:   Called kde-meta_src_compile
  kde-meta.eclass, line 380:   Called kde_src_compile
  kde.eclass, line 170:   Called kde_src_compile 'all'
  kde.eclass, line 340:   Called kde_src_compile 'myconf' 'configure' 'make'
  kde.eclass, line 336:   Called die

!!! died running emake, kde_src_compile:make
!!! If you need support, post the topmost build error, and the call stack if relevant.
!!! A complete build log is located at '/var/tmp/portage/kde-base/libkonq-3.5.7/temp/build.log'.

!!! This ebuild is from an overlay: '/usr/local/overlays/xeffects'

Removing the xeffects overlay from make.conf fixes the build. Not sure if there's a way to file a bug directly with the xeffects project; please let me know if I should file this elsewhere.

Reproducible: Always

Steps to Reproduce:
1.using the xeffects overlay on ~amd64, attempt to emerge kdebase-startkde
Comment 1 Jakub Moc (RETIRED) gentoo-dev 2007-06-27 19:30:24 UTC
That's not our problem, fix xeffects overlay.
Comment 2 Wulf Krueger (RETIRED) gentoo-dev 2007-06-27 19:35:27 UTC
Don't fix it, dump it. 

Please, please, please don't use *any* KDE ebuilds from the xeffects overlay. It's broken, it sucks and causes more problems than it solves.
Comment 3 Austin McKinley 2007-06-27 20:20:01 UTC
is there a consensus that the xeffects overlay is Bad and Wrong across the board? or is it just the kde ebuilds? if no one likes it, i'll change the gentoo wiki accordingly, because the beryl HOWTO page suggests using it:

http://gentoo-wiki.com/Beryl

Comment 4 Jakub Moc (RETIRED) gentoo-dev 2007-06-27 20:56:14 UTC
(In reply to comment #3)
> if no one likes it, i'll change the
> gentoo wiki accordingly, because the beryl HOWTO page suggests using it:

Please, do... it's giving lots of headaches to developers (and it's not really possible to separate KDE from the rest of the stuff since parts of beryl depend on the overlayed KDE stuff there; ditto for Gnome).
Comment 5 Roderick B. Greening 2007-06-28 05:46:56 UTC
First off, the KDE ebuilds in xeffects overlay work just fine. However, when things get updated and/or changed upstream, and people do not report problems to the overlay maintainers, problems can go unfixed. I fix whatever I am informed of. I use the ebuilds personally and test them as thoroughly as possible.

Second, if you have problems with ebuilds from xeffects you should post there as all the ebuilds state to not post here. Unfortunately trac.gentoo-xeffects.org is currently down, so you can post instead to the forums at http://forums.gento-xeffects.org. Here is the tail output of the ebuilds from xeffects overlay :

        ewarn "DO NOT report bugs to Gentoo's bugzilla"
        einfo "Please report all bugs to http://trac.gentoo-xeffects.org"
        einfo "Thank you on behalf of the Gentoo Xeffects team"

So, if you blindly use the overlay and do not pay attention to the emerge info, there's not much help.

The ebuilds there for KDE have 2 main purposes: 1) pertty additions and 2) kickoff. If you have no need of either, then do not use those use flags and you will end up with EXACTLY the same builds as form portage (at least for the most part). Also, some people blindly turn on all USE flags without understanding what they do. Don't. Try the builds with the default flags first; verify things work as expected and then try additional flags.

Please, for ANY ebuilds that are from ANY overlay, you must contact the overlay maintainers for support. The Gentoo devs have enough on their plates as it is, without having to troubleshoot possibly unrelated issues.
Comment 6 Roderick B. Greening 2007-06-28 06:44:53 UTC
The problem is with the arts use flag. If you emerge libkonq with USE="arts", the problem is reproducible in the xeffects overlay, assuming you emerged kdelibs without arts use set. This seemed to be a likely culprit given the error posted:

"konq_sound.cc:19:29: error: kartsdispatcher.h: No such file or directory"

Some of the ebuilds in the overlay called pkg_setup, and therefore required a call to kde_pkg_setup (this was missing - my bad). Since this was missing, and the user had kdelibs emerged without arts use flag but tried to emerge libkonq with arts, this caused a break. I am fixing the ebuilds in the overlay now.
Comment 7 Carsten Lohrke (RETIRED) gentoo-dev 2007-06-28 15:26:40 UTC
(In reply to comment #3)
> is there a consensus that the xeffects overlay is Bad and Wrong across the
> board?

Probably the highest number of invalid bug reports involving an overlay. And to put that clear: File your bugs to the overlay maintainers or fix it yourself. We don't support overlays and any such bug gets resolved invalid straight away. It's your private playground.
Comment 8 Roderick B. Greening 2007-06-28 23:45:53 UTC
I put up a post in response to this on Gentoo forums. Should help clear things up.

http://forums.gentoo.org/viewtopic-t-567663.html
Comment 9 Roderick B. Greening 2007-06-29 17:19:13 UTC
(In reply to comment #7)

> Probably the highest number of invalid bug reports involving an overlay. 

It's also probably cause it's a high use overlay, and a lot of new users who are unaccustomed to overlays and where to report issues, are using it; along with a whole host of other n00b (nothing wrong with n00b btw) related issues/problems. 

:)

Oh, and overlays generally are bleeding edge (as this one most definately IS) and will likely have issues/bugs due to their nature, but they usually get fixed quickly when properly reported to maintainers (which wasn't happening in this case). To expect anything less it being nieve.  

Don't diss the developers and/or maintainers for providing what the users ask for. It's all the additional user attraction that Beryl, Compiz, Compiz-fusion, Pertty, Kickoff, etc have created, that have drawn in this new base of users. A gentle nudge, and all is well.

:P
Comment 10 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2007-07-04 19:41:32 UTC
(In reply to comment #3)
> is there a consensus that the xeffects overlay is Bad and Wrong across the
> board? or is it just the kde ebuilds? if no one likes it, i'll change the
> gentoo wiki accordingly, because the beryl HOWTO page suggests using it:
> 
> http://gentoo-wiki.com/Beryl
> 

Austin,

I've been meaning to reply to your comment, but have been distracted with other things.
No, the xeffects overlay is not a *bad* or *wrong* thing. I've been using it since the coffeebuzz days and although I've had a few ebuild issues here and there, just like I've had with packages on Portage, it works and mistakes are usually fixed very quickly. In my experience, the only significant issues I have/had are related to the black/white screens and slow system - I believe both are caused by display drivers or the upstream technologies (compiz/beryl/compcomm/compiz-fusion).
Most gentoo developers comments on this bug are a reaction to reports of issues involving an unofficial overlay on the Gentoo bugzilla. Our policy is that such bugs end up being marked invalid. However, when talking about the xeffects overlay and the people behind it, I would ask everyone to take into consideration that the xeffects team has been asking for a long time, that any issues involving the xeffects overlay should be reported to the xeffects team and not here. Yes, there was a problem with the bug tracking system, but the notices have now been changed accordingly.
Like it or not, the xeffects users are Gentoo users and if some of them keep opening xeffects bugs here even when asked not to, they as well as some of the remaining gentoo users than don't use the xeffects overlay also keep opening duplicate bugs, not attaching emerge --info on compiler errors, opening a bug a disappearing for months without replying to requests for more info or reopening bugs when they don't like the way a bug is resolved.

PS - Any user not willing to spend the time, commit the energy and make the effort to learn how to configure or fix his system, should not use testing packages or overlays.
PPS - Currently, it sometimes seems the only way to test "new" and "cool" technologies is to use an overlay (xeffects, kde, gnome-experimental, postgres-experimental, webapps-experimental), so we perhaps should look at overlays on a different light. We shouldn't forget that overlays are bringing new users to Gentoo.